//Projet Eclipse ClignoteLed
//
import com.pi4j.io.gpio.GpioController;
import com.pi4j.io.gpio.GpioFactory;
import com.pi4j.io.gpio.GpioPinDigitalOutput;
import com.pi4j.io.gpio.RaspiPin;

public class ClignoteLed {
	static public boolean  isTarget =  true;  //Raspberry Pi

	public static void main(String[] args) {
		if (System.getProperty("os.name").startsWith("Windows")) {
			isTarget = false;
		}

		try {
			if (isTarget) { //Sur le Rasperry Pi
				//Création du controleur GPIO
				//
				final GpioController gpio = GpioFactory.getInstance();

				final GpioPinDigitalOutput ledPin = gpio.provisionDigitalOutputPin(RaspiPin.GPIO_01);

				//Clignote chaque demi seconde pour 5 secondes
				//
				ledPin.blink(500, 5000);
			}
			
      //Boucle infinie avant un CTRL-C)
      //
      while (true) {
      	Thread.sleep(500);
      }
		} 
		catch (Exception e) {
			e.printStackTrace();
		}
	}
}