//Projet Eclipse ProcessBuilderPython
//
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

public class ProcessBuilderPythonT {

	public static void main(String[] args) {
		String pythonFileName = "salut.py";
		/*
		File pythonScript = new File(pythonFileName);
		if (!pythonScript.exists()) {
			System.out.println(pythonFileName + " n'existe pas");
			return;
		}
		*/
		ProcessBuilder prBuild = new ProcessBuilder("D:/Python/Python36-32/python.exe", pythonFileName, "Jean");		

    System.out.println("Exécute " + pythonFileName);

    Process process = null;
    try {
			process = prBuild.start();
			
			if (process.waitFor() == 0) {
				System.out.println(pythonFileName + " exécuté correctement");
				System.out.println("Retour: " + pyOutput(process.getInputStream()));
			}
			else {
				System.out.println(pythonFileName + " exécuté avec erreur");
			} 
		} 
    catch(IOException e) {
    	System.err.println("Erreur IO");
			e.printStackTrace();
		} 
    catch(InterruptedException e) {
    	System.err.println("Erreur process");
    	e.printStackTrace();
		}   
  }
	
  private static String pyOutput(InputStream inputStream) throws IOException {
    StringBuilder  sb = new StringBuilder();
    BufferedReader br = new BufferedReader(new InputStreamReader(inputStream));
    
    String line = null;
    while ((line = br.readLine()) != null) {
      sb.append(line + System.getProperty("line.separator"));
    }
  
    return sb.toString();
  }
}