//Projet Eclipse TestJDBCsqlitePi
//
import java.text.SimpleDateFormat;
import java.util.Date;

public class RaspbEvent {
	private String Nom;
	private String Date;
	private String Heure;
	private float  Valeur;
	
	RaspbEvent(String leNom, String laDate, String lHeure, float laValeur) {
		this.Nom    = leNom;
		this.Date   = laDate;
		this.Heure  = lHeure;
		this.Valeur = laValeur;		
	}
	
	/**
	 * @return Le nom de l'événement, Nom
	 */
	public String getNom() {
		return Nom;
	}
	
	public void setNom(String nom) {
		Nom = nom;
	}
	
	public String getDate() {
		return Date;
	}
	
	public void setDate(String date) {
		Date = date;
	}
	
	public String getHeure() {
		return Heure;
	}
	
	public void setHeure(String heure) {
		Heure = heure;
	}
	
	public float getValeur() {
		return Valeur;
	}
	
	public void setValeur(float valeur) {
		Valeur = valeur;
	}
	
	public void setDateEtHeure(Date laDate) {
		SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy/MM/dd HH:mm:ss");
		String dateEtHeureStr = dateFormat.format(laDate); //2016/11/16 12:08:43
		
		setDate(dateEtHeureStr.substring(0, 10));
		setHeure(dateEtHeureStr.substring(11));
	}
	
	/* Permet l'utilisations directe dans un println
	 * @return Info complète de l'objet
	 */
	public String toString() {
		String result = getNom() + " " + getDate() + " " + getHeure() + " " + getValeur(); 
		return result;
	}
}