//Projet Eclipse TestJDBCsqlitePi
//
import java.sql.*;

public class TestJDBCsqlitePi {
	public static void main(String[] args) {
		Connection conn = null;
		try {
    	//Paramètre URL pour le pilote JDBC
    	//
    	String url = "jdbc:sqlite:sqlitePi.db";

    	//Connexion avec la base de données
    	//
    	conn = DriverManager.getConnection(url);
  
      System.out.println("La connexion SQLite avec sqlitePi.db est établie");  
      
      Statement stmt = conn.createStatement();
      
      String sql = "INSERT INTO Events VALUES " +
                   "('Temperature1','2018/06/04','16:00:00',27.1)";
      stmt.executeUpdate(sql);
      
      System.out.println("Un enregistrement inséré dans sqlitePi.db");
    } 
		catch (SQLException e) {
				System.out.println("Erreur1: " + e.getMessage());
    } 
    finally {
    	try {
    		if (conn != null) {
    			conn.close();
    		}
    	} 
      catch (SQLException ex) {
      	System.out.println("Erreur2: " + ex.getMessage());
      }
    }
	}
}