//Projet Eclipse TestJDBCsqlitePi
//
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class ExtractRaspbEvent {
	public static void main(String[] args) {
		Connection conn = null;
		try {
    	//Paramètre URL pour le pilote JDBC
    	//
    	String url = "jdbc:sqlite:sqlitePi.db";

    	//Connexion avec la base de données
    	//
    	conn = DriverManager.getConnection(url);
    	System.out.println("La connexion SQLite avec sqlitePi.db est établie");  

      String sql = "SELECT Nom, Date, Heure, Valeur FROM Events";
      System.out.println("Extraction en JDBC avec " + sql);  
      
      Statement stmt = conn.createStatement();
      ResultSet rs = stmt.executeQuery(sql);

      //Extraction des données champ par champ
      //
      while(rs.next()){
      	//Extraction par le nom de colonne
      	String nom = rs.getString("Nom");
      	String date = rs.getString("Date");
      	String heure = rs.getString("Heure");
        float valeur = rs.getFloat("Valeur");

        //Montre les valeurs
        System.out.print("Nom: " + nom);
        System.out.print(", Date: " + date);
        System.out.print(", Heure: " + heure);
        System.out.println(", Valeur: " + valeur);
      }
      rs.close();
      
      ResultSet rsCount= stmt.executeQuery("SELECT count(*) FROM Events");
      System.out.println("Nombre d'enregistrements: " + rsCount.getInt(1));
      
      
    } 
		catch (SQLException e) {
				System.out.println("Erreur1: " + e.getMessage());
    } 
    finally {
    	try {
    		if (conn != null) {
    			conn.close();
    		}
    	} 
      catch (SQLException ex) {
      	System.out.println("Erreur2: " + ex.getMessage());
      }
    }  
	}
}